import { axios } from '@/utils/request'

//  单位收付款 列表  分页
export const settleUnitClientList = (params) => {
  const url = `/settle/unit/queryClientUnSettlePage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  单位收付款记录 列表 结算记录 分页
export const settleUnitList = (params) => {
  const url = `/settle/unit/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  单位收付款 提交收付款
export const settleUnitSave = (params) => {
  return axios({
    url: '/settle/unit/save',
    data: params,
    method: 'post'
  })
}
//  单位收付款 全部单据
export const settleInfoAllList = (params) => {
  return axios({
    url: '/settle/info/queryList',
    data: params,
    method: 'post'
  })
}
//  单位收付款 详情
export const settleUnitDetail = (params) => {
  return axios({
    url: `/settle/unit/findById/${params.sn}`,
    method: 'get'
  })
}
